Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4320)
@@ -58,3 +58,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.4305")]
+[assembly: AssemblyFileVersion("3.3.0.4316")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive 3.3.sln	(revision 4320)
@@ -94,4 +94,7 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Console-3.3", "HeuristicLab.Hive.Slave.Console\3.3\HeuristicLab.Hive.Slave.Console-3.3.csproj", "{8B14A35E-DBDF-43EB-B019-23E9FBC5A35E}"
+	ProjectSection(ProjectDependencies) = postProject
+		{5010BD86-23B7-4F8C-888A-76D21AD5266A} = {5010BD86-23B7-4F8C-888A-76D21AD5266A}
+	EndProjectSection
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Hive.Slave.Core-3.3", "HeuristicLab.Hive.Slave.Core\3.3\HeuristicLab.Hive.Slave.Core-3.3.csproj", "{5010BD86-23B7-4F8C-888A-76D21AD5266A}"
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4320)
@@ -133,7 +133,5 @@
     <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
-  <ItemGroup>
-    <Folder Include="Interfaces\" />
-  </ItemGroup>
+  <ItemGroup />
   <ItemGroup>
     <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HeuristicLab.Hive.Slave.Console-3.3.csproj	(revision 4320)
@@ -118,4 +118,9 @@
     <Compile Include="LogFileReader.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="Service References\SlaveConsoleService\Reference.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </Compile>
     <EmbeddedResource Include="HiveSlaveConsole.resx">
       <DependentUpon>HiveSlaveConsole.cs</DependentUpon>
@@ -155,9 +160,29 @@
       <DependentUpon>Recurrence.cs</DependentUpon>
     </Compile>
-    <Compile Include="Service References\SlaveService\Reference.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
+    <None Include="Service References\SlaveConsoleService\HeuristicLab.Calendar.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveConsoleService\HeuristicLab.Hive.Slave.Common.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveConsoleService\HeuristicLab.Hive.Slave.Console.SlaveConsoleService.ConnectionContainer.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
-    </Compile>
+    </None>
+    <None Include="Service References\SlaveConsoleService\HeuristicLab.Hive.Slave.Console.SlaveConsoleService.StatusCommons.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\SlaveConsoleService\HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveConsoleService\service.wsdl" />
+    <None Include="Service References\SlaveConsoleService\service.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveConsoleService\service1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\SlaveConsoleService\System.Drawing.xsd">
+      <SubType>Designer</SubType>
+    </None>
   </ItemGroup>
   <ItemGroup>
@@ -172,57 +197,35 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="Service References\SlaveService\HeuristicLab.Calendar.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Common1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Console.SlaveService.ConnectionContainer.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Console.SlaveService.StatusCommons.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Core.ClientConsoleService1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\SlaveService\HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd" />
-    <None Include="Service References\SlaveService\service.wsdl" />
-    <None Include="Service References\SlaveService\service.xsd" />
-    <None Include="Service References\SlaveService\service1.xsd" />
-  </ItemGroup>
-  <ItemGroup>
     <WCFMetadata Include="Service References\" />
   </ItemGroup>
   <ItemGroup>
-    <WCFMetadataStorage Include="Service References\SlaveService\" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\SlaveService\configuration91.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\SlaveService\configuration.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\SlaveService\Reference.svcmap">
+    <None Include="Resources\schedule.jpg" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Properties\DataSources\Calendar.Appointment.datasource" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Resources\Disaster-warning-48.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Resources\Global-network-48.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Resources\exit-48.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadataStorage Include="Service References\SlaveConsoleService\" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\SlaveConsoleService\configuration91.svcinfo" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\SlaveConsoleService\configuration.svcinfo" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\SlaveConsoleService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
       <LastGenOutput>Reference.cs</LastGenOutput>
     </None>
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Resources\schedule.jpg" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Properties\DataSources\Calendar.Appointment.datasource" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Resources\Disaster-warning-48.png" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Resources\Global-network-48.png" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Resources\exit-48.png" />
-    <None Include="Service References\SlaveService\System.Drawing1.xsd" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.cs	(revision 4320)
@@ -22,16 +22,12 @@
 using System;
 using System.Collections.Generic;
-using System.Diagnostics;
 using System.Drawing;
 using System.Linq;
 using System.Net;
-using System.ServiceModel;
 using System.Windows.Forms;
-using HeuristicLab.Hive.Slave.Console.SlaveService;
+using System.Xml.Serialization;
+using HeuristicLab.Calendar;
+using HeuristicLab.Hive.Slave.Console.SlaveConsoleService;
 using ZedGraph;
-using HeuristicLab.Hive.Contracts;
-using System.Xml.Serialization;
-using System.IO;
-using HeuristicLab.Calendar;
 
 namespace HeuristicLab.Hive.Slave.Console {
@@ -53,7 +49,4 @@
 
     #region Declarations
-
-    private const string ENDPOINTADRESS = "net.tcp://127.0.0.1:8000/SlaveConsole/SlaveConsoleCommunicator";
-
     private static bool isfired = false;
     //the logfilereader
@@ -94,5 +87,6 @@
     private void ConnectToSlave() {
       try {
-        slaveCommunicator = new SlaveConsoleCommunicatorClient(WcfSettings.GetBinding(), new EndpointAddress(ENDPOINTADRESS));
+        slaveCommunicator = new SlaveConsoleCommunicatorClient();
+
         slaveCommunicator.GetStatusInfosCompleted += new EventHandler<GetStatusInfosCompletedEventArgs>(slaveCommunicator_GetStatusInfosCompleted);
         slaveCommunicator.GetCurrentConnectionCompleted += new EventHandler<GetCurrentConnectionCompletedEventArgs>(slaveCommunicator_GetCurrentConnectionCompleted);
@@ -469,5 +463,4 @@
         ConnectionContainer curConnection = e.Result;
         tbIPAdress.Text = curConnection.IPAdress;
-        tbPort.Text = curConnection.Port.ToString();
       } else {
         ManageFatalException("Connection Error, check if Hive Slave is running!", "Connection Error", null);
@@ -504,5 +497,5 @@
         UpdateGraph(sc);
 
-        if (sc.Status == NetworkEnumWcfConnState.Connected || sc.Status == NetworkEnumWcfConnState.Loggedin) {
+        if (sc.Status == NetworkEnumWcfConnState.Connected) {
           btConnect.Enabled = false;
           btnDisconnect.Enabled = true;
@@ -546,9 +539,7 @@
     private void btConnect_Click(object sender, EventArgs e) {
       IPAddress ipAdress;
-      int port;
       ConnectionContainer cc = new ConnectionContainer();
-      if (IPAddress.TryParse(tbIPAdress.Text, out ipAdress) && int.TryParse(tbPort.Text, out port)) {
+      if (IPAddress.TryParse(tbIPAdress.Text, out ipAdress)) {
         cc.IPAdress = tbIPAdress.Text;
-        cc.Port = port;
         slaveCommunicator.SetConnectionAsync(cc);
       } else {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.designer.cs	(revision 4319)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/HiveSlaveConsole.designer.cs	(revision 4320)
@@ -55,5 +55,4 @@
       this.btnDisconnect = new System.Windows.Forms.Button();
       this.btConnect = new System.Windows.Forms.Button();
-      this.tbPort = new System.Windows.Forms.TextBox();
       this.tbIPAdress = new System.Windows.Forms.TextBox();
       this.lbServerIPCaption = new System.Windows.Forms.Label();
@@ -167,5 +166,4 @@
       this.gbServerConnection.Controls.Add(this.btnDisconnect);
       this.gbServerConnection.Controls.Add(this.btConnect);
-      this.gbServerConnection.Controls.Add(this.tbPort);
       this.gbServerConnection.Controls.Add(this.tbIPAdress);
       this.gbServerConnection.Controls.Add(this.lbServerIPCaption);
@@ -207,12 +205,4 @@
       this.btConnect.UseVisualStyleBackColor = true;
       this.btConnect.Click += new System.EventHandler(this.btConnect_Click);
-      // 
-      // tbPort
-      // 
-      this.tbPort.Location = new System.Drawing.Point(74, 59);
-      this.tbPort.Name = "tbPort";
-      this.tbPort.Size = new System.Drawing.Size(65, 20);
-      this.tbPort.TabIndex = 3;
-      this.tbPort.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.Connection_KeyPress);
       // 
       // tbIPAdress
@@ -674,5 +664,4 @@
     private System.Windows.Forms.Button btnDisconnect;
     private System.Windows.Forms.Button btConnect;
-    private System.Windows.Forms.TextBox tbPort;
     private System.Windows.Forms.TextBox tbIPAdress;
     private System.Windows.Forms.Label lbServerIPCaption;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Calendar.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Calendar.xsd	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Calendar.xsd	(revision 4320)
@@ -0,0 +1,32 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/System.Drawing" />
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:complexType name="ArrayOfAppointment">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="Appointment" nillable="true" type="tns:Appointment" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfAppointment" nillable="true" type="tns:ArrayOfAppointment" />
+  <xs:complexType name="Appointment">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="AllDayEvent" type="xs:boolean" />
+      <xs:element minOccurs="0" name="AppointmentId" type="xs:int" />
+      <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/System.Drawing" minOccurs="0" name="BorderColor" type="q1:Color" />
+      <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/System.Drawing" minOccurs="0" name="Color" type="q2:Color" />
+      <xs:element minOccurs="0" name="DrawBorder" type="xs:boolean" />
+      <xs:element minOccurs="0" name="EndDate" type="xs:dateTime" />
+      <xs:element minOccurs="0" name="Group" nillable="true" type="xs:string" />
+      <xs:element minOccurs="0" name="Layer" type="xs:int" />
+      <xs:element minOccurs="0" name="Location" nillable="true" type="xs:string" />
+      <xs:element minOccurs="0" name="Locked" type="xs:boolean" />
+      <xs:element minOccurs="0" name="Note" nillable="true" type="xs:string" />
+      <xs:element minOccurs="0" name="Recurring" type="xs:boolean" />
+      <xs:element minOccurs="0" name="RecurringId" type="ser:guid" />
+      <xs:element minOccurs="0" name="StartDate" type="xs:dateTime" />
+      <xs:element minOccurs="0" name="Subject" nillable="true" type="xs:string" />
+      <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/System.Drawing" minOccurs="0" name="TextColor" type="q3:Color" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="Appointment" nillable="true" type="tns:Appointment" />
+</xs:schema>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Common.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Common.xsd	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Common.xsd	(revision 4320)
@@ -0,0 +1,11 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Common" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Common" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:simpleType name="NetworkEnum.WcfConnState">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="Connected" />
+      <xs:enumeration value="Disconnected" />
+      <xs:enumeration value="Failed" />
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="NetworkEnum.WcfConnState" nillable="true" type="tns:NetworkEnum.WcfConnState" />
+</xs:schema>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd	(revision 4320)
@@ -0,0 +1,39 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Core.SlaveConsoleService" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Common" />
+  <xs:complexType name="StatusCommons">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="ClientGuid" type="ser:guid" />
+      <xs:element minOccurs="0" name="ConnectedSince" type="xs:dateTime" />
+      <xs:element minOccurs="0" name="FreeCores" type="xs:int" />
+      <xs:element minOccurs="0" name="Jobs" nillable="true" type="tns:ArrayOfJobStatus" />
+      <xs:element minOccurs="0" name="JobsAborted" type="xs:int" />
+      <xs:element minOccurs="0" name="JobsDone" type="xs:int" />
+      <xs:element minOccurs="0" name="JobsFetched" type="xs:int" />
+      <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Slave.Common" minOccurs="0" name="Status" type="q1:NetworkEnum.WcfConnState" />
+      <xs:element minOccurs="0" name="TotalCores" type="xs:int" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="StatusCommons" nillable="true" type="tns:StatusCommons" />
+  <xs:complexType name="ArrayOfJobStatus">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="JobStatus" nillable="true" type="tns:JobStatus" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfJobStatus" nillable="true" type="tns:ArrayOfJobStatus" />
+  <xs:complexType name="JobStatus">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="JobId" type="ser:guid" />
+      <xs:element minOccurs="0" name="Progress" type="xs:double" />
+      <xs:element minOccurs="0" name="Since" type="xs:dateTime" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="JobStatus" nillable="true" type="tns:JobStatus" />
+  <xs:complexType name="ConnectionContainer">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="IPAdress" nillable="true" type="xs:string" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ConnectionContainer" nillable="true" type="tns:ConnectionContainer" />
+</xs:schema>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.svcmap
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.svcmap	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/Reference.svcmap	(revision 4320)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="utf-8"?>
+<ReferenceGroup xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" ID="5a09b234-1770-45e9-b9ea-a48c9fa8d6ac" xmlns="urn:schemas-microsoft-com:xml-wcfservicemap">
+  <ClientOptions>
+    <GenerateAsynchronousMethods>true</GenerateAsynchronousMethods>
+    <EnableDataBinding>true</EnableDataBinding>
+    <ExcludedTypes />
+    <ImportXmlTypes>false</ImportXmlTypes>
+    <GenerateInternalTypes>false</GenerateInternalTypes>
+    <GenerateMessageContracts>false</GenerateMessageContracts>
+    <NamespaceMappings />
+    <CollectionMappings />
+    <GenerateSerializableTypes>true</GenerateSerializableTypes>
+    <Serializer>Auto</Serializer>
+    <UseSerializerForFaults>true</UseSerializerForFaults>
+    <ReferenceAllAssemblies>true</ReferenceAllAssemblies>
+    <ReferencedAssemblies />
+    <ReferencedDataContractTypes />
+    <ServiceContractMappings />
+  </ClientOptions>
+  <MetadataSources>
+    <MetadataSource Address="net.tcp://localhost:8000/SlaveConsoleService/mex" Protocol="mex" SourceId="1" />
+  </MetadataSources>
+  <Metadata>
+    <MetadataFile FileName="service.wsdl" MetadataType="Wsdl" ID="3e8daf1a-b94a-49d2-bd35-f30f54ee9742" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+    <MetadataFile FileName="service.xsd" MetadataType="Schema" ID="17e3ca58-5ed5-47a0-96bd-7f96f60046ff" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+    <MetadataFile FileName="service1.xsd" MetadataType="Schema" ID="81873a9d-b6bf-45f9-956f-4825bc13f083" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Slave.Core.SlaveConsoleService.xsd" MetadataType="Schema" ID="3ecdc6ab-cdf8-4066-be0b-3cf75d96d82e" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+    <MetadataFile FileName="HeuristicLab.Hive.Slave.Common.xsd" MetadataType="Schema" ID="2d78ef3d-1be8-450d-a4eb-ea354ebc04ca" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+    <MetadataFile FileName="HeuristicLab.Calendar.xsd" MetadataType="Schema" ID="d6c22e40-4e4f-4549-bf7d-df34f00ddab5" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+    <MetadataFile FileName="System.Drawing.xsd" MetadataType="Schema" ID="bc68bc42-889a-42a3-b9f5-9c3fc446495c" SourceId="1" SourceUrl="net.tcp://localhost:8000/SlaveConsoleService/mex" />
+  </Metadata>
+  <Extensions>
+    <ExtensionFile FileName="configuration91.svcinfo" Name="configuration91.svcinfo" />
+    <ExtensionFile FileName="configuration.svcinfo" Name="configuration.svcinfo" />
+  </Extensions>
+</ReferenceGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/System.Drawing.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/System.Drawing.xsd	(revision 4320)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Console/3.3/Service References/SlaveConsoleService/System.Drawing.xsd	(revision 4320)
@@ -0,0 +1,18 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/System.Drawing" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/System.Drawing" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:complexType name="Color">
+    <xs:annotation>
+      <xs:appinfo>
+        <IsValueType xmlns="http://schemas.microsoft.com/2003/10/Serialization/">true</IsValueType>
+      </xs:appinfo>
+    </xs:annotation>
+    <xs:sequence>
+      <xs:element name="knownColor" type="xs:short" />
+      <xs:element name="name" nillable="true" type="xs:string" />
+      <xs:element name="state" type="xs:short" />
+      <xs:element name="value" type="xs:long" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="Color" nillable="true" type="tns:Color" />
+</xs:schema>
